#51 3.42s Cannot Create Periods for 2009

open
nobody
None
5
2009-03-19
2009-03-14
stuart
No

Same issue as [ 2534813 ] v.353a - Error: Create periods

Discussion

  • Trifon (An ADempiere founder)

    hi,

    >Same issue as [ 2534813 ] v.353a - Error: Create periods

    Can you please provide more detailed error message?

    Trifon

     
  • stuart

    stuart - 2009-03-15

    This bug received a lot of attention in January 2009 for 353a. The same bug exists in 342s. After creating Year 2009 in the Calendar, the Create Periods button opens a dialog with nothing in it and just hangs.
    Thanks, Stuart

     
  • Redhuan D. Oon

    Redhuan D. Oon - 2009-03-15

    am wondering if its the same error where Libero record has DocTypes not created in full. If so, there was a sql to remove that, or workaround by creating those missing records manually in Document Type under Mfg subtype for those recs.

     
  • Trifon (An ADempiere founder)

    Hi Red1,

    Please note that Libero do not exists in 3.4.x
    >The same bug exists in 342s

    It is good to point Libero to be guilty, but it is necessary to be instaleld at least :)

    Trifon

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-15
    • status: open --> pending-works-for-me
     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-15

    Just tested in a plain fresh 342 + patches + recommended migration scripts.

    It worked flawlessly creating year 2009 and all periods for GardenWorld.

    Please provide more information (log) - it must be something related to your installation.

    Regards,

    Carlos Ruiz

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-15
    • labels: 897023 -->
     
  • stuart

    stuart - 2009-03-15
    • status: pending-works-for-me --> open
     
  • stuart

    stuart - 2009-03-15

    Hi Carlos, I have the patches but what (where?) are the recommended migration scripts for 342s?
    Thanks, Stuart

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-16

    When using 3.4.2s please keep an eye here:
    http://adempiere.com/wiki/index.php/Release_342s

    That's where I'm releasing news about patches and migration scripts.
    Wiki "watch" functionality on such page is recommended.

    Regards,

    Carlos Ruiz

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-16
    • status: open --> pending
     
  • stuart

    stuart - 2009-03-16
    • status: pending --> open
     
  • stuart

    stuart - 2009-03-16

    Hi Carlos,
    Only script 372 runs for me so I am totally confused by what is required in addition to the patches. For example, script 413 fails with "relation ad_field does not exist"
    In regards to the content of http://adempiere.com/wiki/index.php/Release_342s:
    1. I am using Postgres 8.3.6. and RUN_ImportAdempiere.bat seems to have run ok. Was the failure with Postgres 8.3.5 only partial? Do I need to substitute DBRestore.bat and ImportAdempiere.bat in $ADEMPIERE_HOME/utils/ ?
    2. With a fresh install, do I need to run the migration script from 3.4.0 ?
    Thanks,
    Stuart

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-16

    Hi Stuart,

    Yes, unfortunately due to some important changes the 3.4.2 was not released with the degree of quality I like.
    So - that's the need of running those migration scripts, and replacing some batch.

    > For example, script 413 fails with "relation ad_field does not exist"

    Sounds like database not imported.

    > 1. I am using Postgres 8.3.6. and RUN_ImportAdempiere.bat seems
    > to have run ok. Was the failure with Postgres 8.3.5 only partial? Do
    > I need to substitute DBRestore.bat and ImportAdempiere.bat in
    > $ADEMPIERE_HOME/utils/?

    I guess yes, you need to replace those files. The original batch files don't run with postgres >= 8.3.5

    > 2. With a fresh install, do I need to run the migration script from 3.4.0?

    No if you're importing a 3.4.2 seed
    Yes if you're importing a 3.4.0 seed

    Regards,

    Carlos Ruiz

     
  • stuart

    stuart - 2009-03-16

    Hi Carlos,
    Thanks for those thoughts, I will try as soon as possible today.
    Can you please also confirm:
    1. JDK1.6.0_12 is fine for the JDK, which seems to be the case - I gather that JDK1.5.0_x is still necessary to compile Adempiere from source
    2. JRE6 is fine for the JRE, again which seems to be the case.
    3. PL/Java is not required in the Postgres setup.
    4. If PL/Java is not required, are the Environmental variables for JRE still required? For example, a JRE_HOME and the path references C:\Program Files\Java\jre6\bin;C:\Program Files\Java\jre6\bin\client. Is the JRE_HOME required in any case or is this an old Jorgism?
    Many thanks,
    Stuart

     
  • stuart

    stuart - 2009-03-16

    Hi Carlos,
    Thanks for those thoughts, I will try as soon as possible today.
    Can you please also confirm:
    1. JDK1.6.0_12 is fine for the JDK, which seems to be the case - I gather that JDK1.5.0_x is still necessary to compile Adempiere from source
    2. JRE6 is fine for the JRE, again which seems to be the case.
    3. PL/Java is not required in the Postgres setup.
    4. If PL/Java is not required, are the Environmental variables for JRE still required? For example, a JRE_HOME and the path references C:\Program Files\Java\jre6\bin;C:\Program Files\Java\jre6\bin\client. Is the JRE_HOME required in any case or is this an old Jorgism?
    Many thanks,
    Stuart

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-19

    Hi Stuart,

    > 1. JDK1.6.0_12 is fine for the JDK, which seems to be the case - I gather
    > that JDK1.5.0_x is still necessary to compile Adempiere from source
    > 2. JRE6 is fine for the JRE, again which seems to be the case.

    3.4.2s requires 1.5.
    Clients can run with java 6
    Server *could* run with java 6 - but I would not recommend it unless it's heavily tested

    > 3. PL/Java is not required in the Postgres setup.

    Not in 3.4.2s and 3.5.3a

    > 4. If PL/Java is not required, are the Environmental variables for JRE

    I don't think JRE variables have been required - maybe for pl/java - but Adempiere doesn't require it.

    Regards,

    Carlos Ruiz

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-19
    • status: open --> pending
     
  • stuart

    stuart - 2009-03-19
    • status: pending --> open
     
  • stuart

    stuart - 2009-03-19

    boot log

     
  • stuart

    stuart - 2009-03-19

    Hi Carlos, same issue after fresh install, all patches, substitutions and migrations. Your help in sorting it out is really appreciated, Stuart
    The server file doesn't show much as I simply logged on, created a new record for 2009 and pressed create periods (which opened a form and hung), so I logged off. Boot log is attached. The server trace from log on to log off is only:
    2009-03-19 21:45:01,478 INFO [org.jboss.system.server.Server] JBoss (MX MicroKernel) [4.0.2 (build: CVSTag=JBoss_4_0_2 date=200505022023)] Started in 3m:13s:375ms
    2009-03-19 21:46:22,993 DEBUG [org.jboss.ejb.StatelessSessionContainer] Useless invocation of remove() for stateless session bean
    2009-03-19 21:53:48,540 DEBUG [org.jboss.system.server.Server] Shutting down
    File Added: boot.log

     
  • stuart

    stuart - 2009-03-19

    Carlos, further to my last post, I think this is a basic JRE6 incompatibility with the Java Client. I can add periods through the WebZu interface, or through the Java Client (via webstart) after I have deleted JRE6 from my computer altogether. Of course, Java 6 then just pops up again as an automatic update. The Add-on Extension for Java Quick Starter 1.0 in Firefox automatically uses JRE6 to start clients (eg through webstart), so this needs to be disabled to force the use of JRE1.5. It is not really feasible to expect people to do this. What can we do about it? How is it that you managed to create periods using JRE6? Thanks, Stuart

     
  • Carlos Ruiz

    Carlos Ruiz - 2009-03-19

    Hmmm - never received complaints about clients using JRE6. That could be something to investigate further as I guess MANY people are using 3.4.2s with JRE1.6 as client.

    Is it reproducible in current trunk?

    Regards,

    Carlos Ruiz

     
  • stuart

    stuart - 2009-03-20

    Carlos, when I reinstalled JRE6, used webstart from Firefox so the JRE6 was engaged, I found to my surprise that Create Periods now works for me under JRE6. Something seems to have been corrected but I am not sure what the problem is and worn out from looking for it! Time to move on I think. Many thanks for your help, Stuart

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks